| Qore DataProvider Module Reference 1.2.1

Public Attributes | List of all members
DataProvider::DataProviderTypeEntryInfo Struct Reference

Data provider type entry info. More...

## Public Attributes
*list< string > | children
| The names of any children.
bool | has_type
| True if the entry has a type More...
bool | locked = False
| True if the entry is locked and therefore cannot be deleted or updated More...
string | name
| The name of the entry.
string | path
| The path to the entry including the name as the last element.

## Detailed Description

Data provider type entry info.

## Member Data Documentation

## ◆ has_type

bool DataProvider::DataProviderTypeEntryInfo::has_type

True if the entry has a type

If True then the type has the same name as the entry

## ◆ locked

bool DataProvider::DataProviderTypeEntryInfo::locked = False

True if the entry is locked and therefore cannot be deleted or updated

Note
  only type entries can be locked